
Base Distribution - Task # 40790

Story # 40628 (Closed): As any user, I need a Content Module based on semantic technologies (IKS)

Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-09-10 Assigned To: Mattias Nilsson
Updated: 2012-10-04 Due date:
Subject: hallo controls broken --> because images are not there anymore
Description

The Hallo editor (see screenshot) uses icons based on Fontawesome (http://fortawesome.github.com/Font-Awesome/). However,
these icon CSS classes collide with the glyphicons provided by Twitter Bootstrap 2.

As a result, the editing controls are not visible anymore (see screenshot). To reproduce, just select a text in editing mode and see the
black boxes to appear ;-)

To fix, we either find a way to include fontawesome icons in a way that they do not collide with our twitter bootstrap icons, or we add
the necessary CSS and use twitter bootstrap icons inside the hallo editor.

Associated revisions
Revision f052ef39 - 2012-09-18 09:32 - Aske Ertmann 

[FEATURE] Customization of Hallo toolbar controls

    -  Lots of issues due to bloated dom
    -  Missing specific class for link & font-size button
    -  Submenus not styled

Resolves: #40790
Change-Id: I8a75a12da259e45084ac9f198c5dd7c16ddaa3d9

History
#1 - 2012-09-11 09:16 - Sebastian Kurfuerst
- File Skitch.jpg added

#2 - 2012-09-11 09:17 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Mattias Nilsson

#3 - 2012-09-11 09:23 - Sebastian Kurfuerst

Mattias is working on it this evening

#4 - 2012-09-11 19:12 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14522
#5 - 2012-09-12 22:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14522

#6 - 2012-09-13 21:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14522

#7 - 2012-09-14 07:58 - Mattias Nilsson
- Status changed from Accepted to Under Review

#8 - 2012-09-14 21:54 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14522

#9 - 2012-09-17 20:48 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14522

#10 - 2012-09-17 23:45 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14522

#11 - 2012-09-18 09:33 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14522

#12 - 2012-09-18 09:35 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f052ef3908382e340252ce149e3ece4e43f77d5d.

#13 - 2012-10-04 13:54 - Markus Goldbeck
- Status changed from Resolved to Closed
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
